# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dieta/version'

Gem::Specification.new do |spec|
  spec.name          = "Gema_alu0100891485"
  spec.version       = Dieta::VERSION
  spec.authors       = ["Pedro Miguel Lagüera Cabrera"]
  spec.email         = ["alu0100891485@ull.edu.es"]

  spec.summary       = %q{Práctica de Ruby en la que se añade Comparable a la clase Diet y Enumerable a la clase List}
  spec.description   = %q{Se añade el comparador <=> y == a la clase Diet para poder comparar objetos de esta clase, y se define each en la clase de lista doblemente enlazada List para poder usar métodos de Enumerable.}
  spec.homepage      = "https://github.com/ULL-ESIT-LPP-1617/menu-dietetico-alu0100891485.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
#  if spec.respond_to?(:metadata)
#    spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
#  else
#    raise "RubyGems 2.0 or newer is required to protect against " \
#      "public gem pushes."
#  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "guard-bundler"
end
